Package org.eclipse.emf.cdo.transaction

# Interface CDOTransaction.Options.AutoReleaseLocksEvent.AutoReleaseLocksEnabledEvent

All Superinterfaces:
  `CDOTransaction.Options.AutoReleaseLocksEvent`, `org.eclipse.net4j.util.event.IEvent`, `org.eclipse.net4j.util.options.IOptionsEvent`

Enclosing interface:
  CDOTransaction.Options.AutoReleaseLocksEvent

public static interface CDOTransaction.Options.AutoReleaseLocksEvent.AutoReleaseLocksEnabledEvent extends CDOTransaction.Options.AutoReleaseLocksEvent
An `auto release locks options event` fired from transaction `options` when the `auto release locks enabled` option has changed.

Since:
  4.6
Author:
  Eike Stepper
No Implement
  This interface is not intended to be implemented by clients.
No Extend
  This interface is not intended to be extended by clients.

## Nested Class Summary

## Nested classes/interfaces inherited from interface org.eclipse.emf.cdo.transaction.CDOTransaction.Options.AutoReleaseLocksEvent

`CDOTransaction.Options.AutoReleaseLocksEvent.AutoReleaseLocksEnabledEvent, CDOTransaction.Options.AutoReleaseLocksEvent.AutoReleaseLocksExemptionsEvent`

## Method Summary

### Methods inherited from interface org.eclipse.net4j.util.options.IOptionsEvent

`getSource`